local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

x.Rune = {}
x.Variables = {}

a.UpdateRunes = function()
	local cooldowns = {}
	local start, duration, active
	local runes = 0
	local wait = math.max(s.GlobalCooldown(), s.GetCasting(nil, "player"))
	local cd
	for i = 1, 6 do
		start, duration, active = GetRuneCooldown(i)
		if active then
			table.insert(cooldowns, 0)
			runes = runes + 1
		else
			cd = duration - GetTime() + start
			if cd <= wait then
				runes = runes + 1
			end
			table.insert(cooldowns, cd)
		end
	end
	table.sort(cooldowns)
	for i = 1, 6 do
		x.Rune["time_to_" .. i .. "_nogcd"] = cooldowns[i]
		x.Rune["time_to_" .. i] = math.max(cooldowns[i] - wait, 0)
	end	
	x.Runes = runes
end
